AWDT Time Now
AWDT is the abbreviation of Australian Western Daylight Time. Time zone offset of AWDT is UTC+09. Australian Western Daylight Time is 9 hours ahead from the UTC universal time. AWDT current date is 6th Friday November 2026. Current time in AWDT (AWDT).
AWDT Time
10:02:56
6 November 2026 Friday
AWDT is the abbreviation for Australian Western Daylight Time standard. It is observed only occasionally in the state of Western Australia during the summer months. Australian Western Daylight Time is 9 hours ahead from the UTC universal time.
What time is it in Australian Western Daylight Time now? It is 10:02:56 right now.
Australian Western Daylight Time Date and Time Now in Various Formats
| Date Time Format | AWDT Date Time Now |
|---|---|
| UTC | 2026-11-06T10:02:56Z |
| ISO-8601 | 2026-11-06T10:02:56+0000 |
| RFC 2822 | Fri, 06 Nov 2026 10:02:56 +0000 |
| RFC 850 | Friday, 06-Nov-26 10:02:56 UTC |
| RFC 1036 | Fri, 06 Nov 26 10:02:56 +0000 |
| RFC 1123 | Fri, 06 Nov 2026 10:02:56 +0000 |
| RFC 822 | Fri, 06 Nov 26 10:02:56 +0000 |
| RFC 3339 | 2026-11-06T10:02:56+00:00 |
| ATOM | 2026-11-06T10:02:56+00:00 |
| COOKIE | Friday, 06-Nov-2026 10:02:56 UTC |
| RSS | Fri, 06 Nov 2026 10:02:56 +0000 |
| W3C | 2026-11-06T10:02:56+00:00 |
| Unix Epoch | 1793959376 |
| YYYY-DD-MM HH:MM:SS | 2026-06-11 10:02:56 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-06-11 10:02:56 AM |
| DD-MM-YYYY HH:MM:SS | 06-11-2026 10:02:56 |
| MM-DD-YYYY HH:MM:SS | 11-06-2026 10:02:56 |